#
# spec file for package python3-entrypoint2
#
# Copyright (c) 2013 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           python3-entrypoint2
Version:        0.0.6
Release:        10.1
Url:            https://github.com/ponty/entrypoint2
Summary:        Easy to use command-line interface for python modules, fork of entrypoint
License:        BSD-2-Clause
Group:          Development/Languages/Python
Source:         http://pypi.python.org/packages/source/e/entrypoint2/entrypoint2-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  python3
BuildRequires:  python3-devel
BuildRequires:  python3-distribute
Requires:       python3-decorator
BuildArch:      noarch

%description
entrypoint2 is an easy to use command-line interface for python modules, fork
of entrypoint.

%prep
%setup -q -n entrypoint2-%{version}

%build
python3 setup.py build

%install
python3 setup.py install --prefix=%{_prefix} --root=%{buildroot}

%files
%defattr(-,root,root)
%doc LICENSE.txt README.rst
%{python3_sitelib}/*

%changelog
* Sun Jan 13 2013 p.drouand@gmail.com
- Initial python3 support
